# Kannolo Group List for the Calamares Netinstall Module
#
# Lists packages that can be optionally added from network repositories while
# installing the live image. The selection should NOT include anything requiring
# GTK+.
#
# This list is for Kannolo 24, major revision 1.
#
# The major revision (in the file name) can be bumped if the package selection
# on the live image changes. The list can be extended without bumping the major
# revision to add or remove from the selection for the same live image(s).

# These are installed on the KDE Spin, so select them by default.
- name: "Akonadi-MariaDB"
  description: "Fast database for KMail/Kontact/kdepim (RECOMMENDED)"
  hidden: false
  selected: true
  packages:
  - kf5-akonadi-server-mysql
- name: "Baloo File Indexer"
  description: "Indexes your files for Dolphin full text search (RECOMMENDED)"
  hidden: false
  selected: true
  packages:
  - kf5-baloo-file
- name: "kipi-plugins"
  description: "Image processing plugins for Gwenview (RECOMMENDED)"
  hidden: false
  selected: true
  packages:
  - kf5-kipi-plugins
- name: "Plasma Discover"
  description: "Application browser (store-like interface) and installer (RECOMMENDED)"
  hidden: false
  selected: true
  packages:
  - plasma-discover
- name: "KDE Telepathy"
  description: "Instant messaging Plasma widget (RECOMMENDED)"
  hidden: false
  selected: true
  packages:
  - "@kde-telepathy"
- name: "KTorrent"
  description: "BitTorrent client with many features (RECOMMENDED)"
  hidden: false
  selected: true
  packages:
  - "ktorrent"
- name: "Amarok"
  description: "Music player and collection manager (RECOMMENDED)"
  hidden: false
  selected: true
  packages:
  - "amarok"
- name: "kdeplasma-addons"
  description: "Additional Plasma widgets (RECOMMENDED)"
  hidden: false
  selected: true
  packages:
  - "kdeplasma-addons"
- name: "K3b"
  description: "CD/DVD/BluRay burning application (RECOMMENDED)"
  hidden: false
  selected: true
  packages:
  - "k3b"
- name: "Media Writer"
  description: "Writes GNU/Linux live ISOs to USB sticks (RECOMMENDED)"
  hidden: false
  selected: true
  packages:
  - "mediawriter"
- name: "kdegames-minimal"
  description: "Small set of KDE games for everyday pastime (RECOMMENDED)"
  hidden: false
  selected: true
  packages:
  - "kdegames-minimal"
#
# These are not installed on the KDE Spin, so do not select them by default.
- name: "kdeaccessibility"
  description: "KDE accessibility applications"
  hidden: false
  selected: false
  packages:
  - "kdeaccessibility"
- name: "Twinkle"
  description: "VoIP client using the SIP protocol"
  hidden: false
  selected: false
  packages:
  - "twinkle"
- name: "Calligra Suite"
  description: "Calligra office suite (the complete set)"
  hidden: false
  selected: false
  packages:
  - "calligra"
- name: "Marble"
  description: "Desktop globe and OpenStreetMap viewer"
  hidden: false
  selected: false
  packages:
  - "marble"
- name: "kdeedu"
  description: "KDE educational applications (the complete set)"
  hidden: false
  selected: false
  packages:
  - "@kde-education"
- name: "kdegames"
  description: "KDE games (the complete set)"
  hidden: false
  selected: false
  packages:
  - "kdegames"
- name: "desktop-backgrounds-basic"
  description: "Supplementary wallpapers from the upstream distribution"
  selected: false
  packages:
  - "desktop-backgrounds-basic"
- name: "KDE Wallpapers"
  description: "Wallpapers from the upstream KDE project"
  selected: false
  packages:
  - "kde-wallpapers"
  - "plasma-workspace-wallpapers"
  - "kdeartwork-wallpapers"
- name: "Kannolo SDK"
  description: "Software development kit with KDevelop IDE"
  hidden: false
  selected: false
  packages:
  - kdevelop
  - cmake
  - gcc-c++
  - gdb
  - qt5-rpm-macros
  - qt5-qttools-static
  - qt5-qtdeclarative-static
  - qt5-qtbase-static
  - qt5-designer
  - qt5-qdoc
  - qt5-qhelpgenerator
  - qt5-linguist
  - qt5-gstreamer-devel
  - qt5-qt3d-devel
  - qt5-qtaccountsservice-devel
  - qt5-qtbase-devel
  - qt5-qtconfiguration-devel
  - qt5-qtconnectivity-devel
  - qt5-qtdeclarative-devel
  - qt5-qtenginio-devel
  - qt5-qtlocation-devel
  - qt5-qtmultimedia-devel
  - qt5-qtquickcontrols2-devel
  - qt5-qtscript-devel
  - qt5-qtsensors-devel
  - qt5-qtserialport-devel
  - qt5-qtsvg-devel
  - qt5-qttools-devel
  - qt5-qtwayland-devel
  - qt5-qtwebchannel-devel
  - qt5-qtwebengine-devel
  - qt5-qtwebkit-devel
  - qt5-qtwebsockets-devel
  - qt5-qtx11extras-devel
  - qt5-qtxmlpatterns-devel
  - qt5-qt3d-doc
  - qt5-qtbase-doc
  - qt5-qtconnectivity-doc
  - qt5-qtdeclarative-doc
  - qt5-qtenginio-doc
  - qt5-qtlocation-doc
  - qt5-qtmultimedia-doc
  - qt5-qtquickcontrols2-doc
  - qt5-qtscript-doc
  - qt5-qtsensors-doc
  - qt5-qtserialport-doc
  - qt5-qtsvg-doc
  - qt5-qttools-doc
  - qt5-qtwebchannel-doc
  - qt5-qtwebengine-doc
  - qt5-qtwebsockets-doc
  - qt5-qtx11extras-doc
  - qt5-qtxmlpatterns-doc
  - kf5-attica-devel
  - kf5-baloo-devel
  - kf5-bluez-qt-devel
  - kf5-frameworkintegration-devel
  - kf5-kactivities-devel
  - kf5-kactivities-stats-devel
  - kf5-karchive-devel
  - kf5-kauth-devel
  - kf5-kbookmarks-devel
  - kf5-kcmutils-devel
  - kf5-kcodecs-devel
  - kf5-kcompletion-devel
  - kf5-kconfig-devel
  - kf5-kconfigwidgets-devel
  - kf5-kcoreaddons-devel
  - kf5-kcrash-devel
  - kf5-kdbusaddons-devel
  - kf5-kdeclarative-devel
  - kf5-kded-devel
  - kf5-kdelibs4support-devel
  - kf5-kdesu-devel
  - kf5-kdewebkit-devel
  - kf5-kdnssd-devel
  - kf5-kdoctools-devel
  - kf5-kemoticons-devel
  - kf5-kfilemetadata-devel
  - kf5-kglobalaccel-devel
  - kf5-kguiaddons-devel
  - kf5-khtml-devel
  - kf5-ki18n-devel
  - kf5-kiconthemes-devel
  - kf5-kidletime-devel
  - kf5-kinit-devel
  - kf5-kio-devel
  - kf5-kitemmodels-devel
  - kf5-kitemviews-devel
  - kf5-kjobwidgets-devel
  - kf5-kjs-devel
  - kf5-kjsembed-devel
  - kf5-kmediaplayer-devel
  - kf5-knewstuff-devel
  - kf5-knotifications-devel
  - kf5-knotifyconfig-devel
  - kf5-kpackage-devel
  - kf5-kparts-devel
  - kf5-kpeople-devel
  - kf5-kplotting-devel
  - kf5-kpty-devel
  - kf5-kross-devel
  - kf5-krunner-devel
  - kf5-kservice-devel
  - kf5-ktexteditor-devel
  - kf5-ktextwidgets-devel
  - kf5-kunitconversion-devel
  - kf5-kwallet-devel
  - kf5-kwayland-devel
  - kf5-kwidgetsaddons-devel
  - kf5-kwindowsystem-devel
  - kf5-kxmlgui-devel
  - kf5-kxmlrpcclient-devel
  - kf5-modemmanager-qt-devel
  - kf5-networkmanager-qt-devel
  - kf5-plasma-devel
  - kf5-solid-devel
  - kf5-sonnet-devel
  - kf5-threadweaver-devel
  - kf5-kdelibs4support-doc
  - kf5-kio-doc
- name: "KCachegrind"
  description: "Call graph and performance profile viewer"
  hidden: false
  selected: false
  packages:
  - kcachegrind
  - valgrind
- name: "Kannolo Packager Kit"
  description: "RPM package development kit (command-line)"
  hidden: false
  selected: false
  packages:
  - redhat-rpm-config
  - rpmdevtools
  - rpmlint
  - rpm-build
  - mock
  - copr-cli
